# Ars Archivum: Top cloud backup services worth your money
## We tested five consumer-friendly cloud backup services and found a clear winner.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/
+ Source: Ars Technica
+ Author: Jim Salter
+ Date published: 06 February 2023, 14:49
+ Date scraped: 06 February 2023, 15:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/02/cloud-storage-rain-760x380.jpg)








* We tested iDrive with its free Basic tier, which offers 10GB of storage. 


 Jim Salter
* Carbonite is probably the most well-known cloud backup service, thanks to a years-long advertising blitz. It offers "unlimited" backup storage for a single PC. 


 Jim Salter
* We'd never heard of Arq before doing a Twitter poll to see what fellow technorati were using. It's a bit pricy, at $60/year for a single terabyte of storage. 


 Jim Salter
* Backblaze is another very well-known backup service, thanks in roughly equal parts to its"unlimited" backup space and the company's annually released hard drive reliability reports. 


 Jim Salter
* Spideroak One is pricier than we'd prefer. 


 Jim Salter


If there's one rule of computing every system administrator preaches, it's to always back up important data. Unfortunately, even among sysadmins, this rule is often preached more than it is practiced—backups tend to be slow, cumbersome affairs that are ignored for years until they're (desperately) needed, by which time it's often too late to get them right.


Fortunately, backups don't need to be tedious—and there are plenty of relatively low-cost, consumer-friendly cloud services that make protecting your data easy. The five services we discuss in this article—Carbonite, Arq, iDrive, Spideroak One, and Backblaze—are cloud-based and inexpensive, and they operate seamlessly in the background.



### Table of Contents


* [What we’re looking for](#h1)
* [iDrive: The Ars Archivum top pick](#h2)
* [How we tested](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/2/#h1)
* [Why iDrive got the “Ars Archivum” backup award](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/2/#h2)
* [Backblaze: Fast, feature-rich, but not the best](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/4/#h1)
* [The other contenders](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/5/#h1)
* [Arq](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/5/#h2)
* [Carbonite](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/5/#h3)
* [Spideroak One](https://arstechnica.com/information-technology/2023/02/ars-archivum-top-cloud-backup-services-worth-your-money/5/#h4)



## What we’re looking for


For a backup service to work, it needs to be easy to install and use. Beyond ease of use, our preferred solution needs to be affordable and have a simple billing model. It also needs to operate reliably in the background, offer easy recovery, and provide archive depth—meaning you'll have backups to previous versions of your files in addition to the current saved copy.


We tested each backup service for backup and restoration speeds as well, though this wasn't our primary consideration. For most people, backup speed isn't a big issue for day-to-day use, but when you first adopt a cloud-based backup service, higher throughput can mean the difference between one week and six months to complete the first full backup! We were also interested in additional features, including but not limited to cross-platform support (our test platform is Windows 10) and end-to-end encryption.


## iDrive: The Ars Archivum top pick


We found [iDrive](https://fave.co/3JxpiTx) to be the clear winner among the five cloud backup services we tested, ticking every box on our list:


* Easy to install and use
* Fast backup speeds (relative to other cloud providers)
* Continuous backups (that actually work properly) as well as scheduled backups
* End-to-end encryption keeps your backups safe from prying eyes
* Archive depth (as file versioning), with easy access to older versions of files
* Advanced options for advanced users—SQL, Exchange, Oracle, Sharepoint, VMWare, Hyper-V, System cloning, and more
* Aggressively cross-platform—Windows, Mac, Linux, Android, and iOS are all supported
* Reasonable, predictable "personal" pricing—$60 per year for 5TB, from any number of devices
* Completely free "Basic" tier offering 10GB with no credit card required, meaning you can test the service with no hassles
* Option to back up to local media as well as cloud storage


We'll go into detail about how we tested each service and how iDrive fared in those tests below—but if you're looking for a quick recommendation, this is it. The only caveat is that iDrive won't serve data hoarders looking for unlimited backup space—but even that caveat is something of a recommendation. iDrive's quoted [5TB](https://fave.co/40eFVcx) is more than enough for *most* users, and having a stated cap means that you don't run the risk of waking up one day to an email telling you that you're "abusing" a service and your account will be limited accordingly.







### How we tested



* Speed isn't everything, but it does matter. Our pick, iDrive, is roughly in the middle of the pack. 


 Jim Salter
* Netflix's Fast.com speedtest service demonstrates that we have substantially better upload and download capacity on our test network than any of the backup services offer. 


 Jim Salter
* Crystaldiskmark demonstrates that our test VM's storage isn't a bottleneck, either. All but one of our test files are 1MB or larger, making the second row—SEQ1M Q1T1—the most applicable. Multiply by eight to compare directly to the network, which is measured in Mbps instead of MBps. 


 Jim Salter
* While testing backup and restoration, we used Windows Resource Monitor to keep an eye on the finer details of transfer speed and resource utilization. 


 Jim Salter


Before testing any of our backup services, we created some test infrastructure—a brand-new Windows 10 21H2 virtual machine with 8GB of RAM and fast SSD storage and a bit more than 2GB of data to back up. Our backup data consisted of 1,024 1MB files and a single 1GB file, all made of completely incompressible data (like the photos, videos, and audio files that form the bulk of most users' desktop backups), along with another small file named "x.txt" that we used to test both archive depth and—where available—continuous backup schemes.


When testing, we followed the following routine in the same order for each provider tested:


1. Make a fresh new clone of our ready-to-test Windows 10 virtual machine.
2. Download and install the service's application to the new VM.
3. Configure the service, note the time, and begin first backup.
4. Use Windows Resource Monitor to check details as the first backup proceeds.
5. Change the "x" in x.txt to a "y."
6. Check continuous backup (when offered)—did x.txt automatically re-upload after the change?
7. Check for archive depth in x.txt—are multiple versions offered?
8. Download the 1GB file to test speed, x.txt to verify contents.
9. Poke around and test any other interesting features offered.


### Why iDrive got the “Ars Archivum” backup award



* We selected iDrive's free, no-credit-card-required 10GB backup tier since we only had 2GB of test data to back up. 


 Jim Salter
* With iDrive's default encryption setting, the company has access to the key—but it immediately prompts you to set your own private key (and keep a copy of it safe) if you don't like that option. 


 Jim Salter
* After selecting a tier and choosing your encryption settings, iDrive prompts you to select the folders you'd like to back up (and where you want to back them up to). 


 Jim Salter


The short answer here is "pretty much everything." Although iDrive only landed in the middle of the pack in sheer speed—three providers offered substantially faster downloads, and one provided substantially faster uploads—iDrive was the only service we tested that didn't have worrying bugs or "misfeatures."


The only real hiccup we had while using iDrive concerned Microsoft SmartScreen—on the day we tested, SmartScreen was feeling particularly cautious about the iDrive app and flagged it as "unknown" software, forcing us to click through a scare screen before downloading it. This isn't iDrive's fault—we've seen it happen to a variety of software from different vendors.





After getting past SmartScreen's roadblock, everything else about the installation and configuration was agreeable. Both the website and iDrive application have clean, functional UIs we had no difficulty navigating, and the application's first-run wizard did a great job walking us through the major points—picking a plan, selecting the folders to back up, creating an encryption key, setting a schedule, and so forth.



* Next, it's time to choose a schedule for automated backups to run. iDrive checks all the boxes here—days to back up, start times, optional cutoff times, notifications, missed backup run scheduling, you name it. Beautiful. 


 Jim Salter
* Optional continuous backup allows you to get immediate backup of individual files as they're created or altered. 


 Jim Salter
* Another thing iDrive gets right that many of its competitors don't: easy-to-access, easy-to-read logging of backup and restore operations. 


 Jim Salter


We really appreciate iDrive's clean UI—it's not fancy, but it's very discoverable. Crucially, the UI doesn't attempt to achieve simplicity by getting rid of options—when you set the schedule for iDrive's backup runs, it defaults to running every day at a certain time, and that's that. But if you *need* to specify which days it runs or set an optional hard cutoff time and/or immediate backups for machines powered off or without Internet access when the scheduled backup should have begun, you won't have any difficulty doing so.


Like many of our tested services, iDrive also offers a Continuous Backup feature intended to augment (not replace) its scheduled backups. With Continuous Backup enabled, most files will be *immediately* backed up when they're created, altered, or saved, without requiring you to wait for the next backup run to start. iDrive was the only service we tested that actually performed this service in real time—when we modified x.txt and saved it, the new version was backed up and available for restoration *instantly*, while competing services' "real-time" options sometimes took 15 minutes or longer to run.


When your first scheduled backup completes, the iDrive app shows you a concise log of the action so you know how much data and how many files were backed up, along with timestamps for beginning and end—a nice, seemingly obvious feature that not all services we tested offered.



* When we edited "x.txt" and saved it, iDrive instantly backed it up. We can see both versions of the file here—the original, which contained the letter "x," and its replacement, which contains the letter "y." 


 Jim Salter
* In this shot, the current version of x.txt is 3, with versions 1 and 2 shown by themselves in the "previous versions" box. 


 Jim Salter


As noted above, iDrive's Continuous Backup feature does exactly what you'd expect when it's set to its default "real-time" scheduling. Changing "x.txt" from a file with a single "x" in it to a file with a single "y" or "z" in it is an admittedly trivial test, but it performed admirably—we couldn't outrun the Continuous Backup service; by the time we saved the file and checked the backups, the new version was already there, even if we tried our best to beat it.


We did find one minor issue in the backup versioning—the current version isn't listed alongside older versions when you're attempting to compare, which we initially found mildly confusing. The fact that this is our biggest complaint about iDrive's UI/UX says a lot.



* Most of iDrive's "advanced" features won't matter to a typical desktop user, and we didn't test them—but we love the idea that iDrive can help sysadmins in more complex settings, too. 


 Jim Salter
* We were not expecting and did not test iDrive's Dropbox-like "sync" function—but we suspect a lot of desktop users will find it quite handy. 


 Jim Salter


After finishing our backup, restoration, and versioning tests, we took a spin around the interface to look for other interesting features. In the "Advanced" section, iDrive offers an impressive array of server-oriented advanced backup and restoration services for business environments. It also offers Dropbox-like "folder sync" functionality—with the caveat that this only works if you've allowed iDrive control of your encryption keys rather than creating your own.


We did not test any of these features—and we did not test functionality on non-Windows platforms, either. If you need any of these server features or would like to back up mobile devices, Macs, or Linux machines, we strongly recommend simply selecting the free, no-credit-card-required 10GB tier and kicking the tires to make sure it does what you need it to.












## Tags:


### Autogenerated tags:
idrive x.txt cloud windows 10gb arq spideroak
