# Pantone wants $15/month for the privilege of using its colors in Photoshop
## Changes have already hit some users, but communication and timing are muddled.
## Information:

+ Link: https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/
+ Source: Ars Technica
+ Author: Andrew Cunningham
+ Date published: 01 November 2022, 18:27
+ Date scraped: 06 November 2022, 14:18

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/11/pantone-colors-760x380.jpg)







If you want to use up-to-date versions of Adobe's Creative Cloud apps, you've already been paying subscription fees for years now. And if you want to use Pantone colors inside of Adobe's apps, it's about to get even more expensive. Starting this month, the Pantone color books in Adobe's apps are mostly going away, and continuing to use those colors in your files will require [a new Pantone Connect extension](https://exchange.adobe.com/apps/cc/103029/pantone-connect).


Using that extension is free once you've created an account, but using the full library of colors, creating unlimited color palettes, and "a dozen more tools to create smarter, more impactful palettes" will now require a subscription that will run $15 per month or $90 per year, on top of what you're already paying to use Adobe's apps in the first place. I could browse through colors using the basic version of the extension, but trying to browse and select most colors from most libraries prompted me to pay for a subscription.


Strange as it might seem for a company to be able to "own" colors, that's an oversimplification of what Pantone does—it maintains a large library of reference colors and physical color samples used in print publishing and many design industries to ensure that colors look the way they're supposed to look, no matter what material they're being used on. If you want to see what a given color will look like when printed on a matte sheet of paper versus a glossy sheet of paper versus plastic versus cloth (among other things), and you want to know that the manufacturer or printer sees the exact same color you do, that's when Pantone colors can be useful. Different computer, tablet, and phone displays will also show different colors differently based on how the displays are calibrated and what colors they're capable of showing—Pantone colors and physical samples help to eliminate some guesswork and inconsistency.



This change seems to be rolling out gradually. [Some users](https://twitter.com/funwithstuff/status/1585850262656143360) have already encountered Photoshop error messages informing them of the change, and that Pantone colors in old Photoshop files are being replaced with black when they're opened in newer versions of the software. Adobe [says](https://helpx.adobe.com/illustrator/kb/pantone-color-books-illustrator.html) that the Solid Coated and Solid Uncoated Pantone libraries will be removed "after November 2022," leaving only the CMYK Coated, CMYK Uncoated, and Metallic Coated Pantone libraries behind.


Ars asked Adobe about the color replacement issue, and were told the following by an Adobe spokesperson: "We are currently looking at ways to lessen the impact on our customers. In the meantime, customers also have access to up to 14 extensive color books through Creative Cloud subscriptions."


On an M1 MacBook Air running the most current version of Photoshop, I can still access all Pantone color libraries as before, including the Solid Coated and Solid Uncoated libraries that are supposedly going away. (Adding insult to injury for Mac users, the current version of the Pantone Connect extension isn't Apple Silicon-compatible and requires launching the app in the slower Intel emulation mode.)


[![Pantone colors are still showing up for us as before in Photoshop 24.0 running on an M1 Mac.](https://cdn.arstechnica.net/wp-content/uploads/2022/11/pantone-photoshop-980x613.png)](https://cdn.arstechnica.net/wp-content/uploads/2022/11/pantone-photoshop.png) / Pantone colors are still showing up for us as before in Photoshop 24.0 running on an M1 Mac.Andrew Cunningham


[To hear Pantone tell it](https://www.pantone.com/articles/faq/pantone-connect-adobe-faq), Adobe had not been updating the Pantone color libraries in its apps for more than a decade, which prompted the end of the previous licensing deal and the wholesale removal of the old libraries from Adobe's apps in favor of the Pantone Connect Extension. But communication around this issue has been muddled, with conflicting and [changing dates](https://www.fespa.com/en/news-media/blog/adobe-removing-pantone-colour-books-from-the-next-release-of-adobe-cc) for when the removal of the existing Pantone libraries begins and different pricing data based on the source you're looking at. The [Pantone FAQ](https://www.pantone.com/articles/faq/pantone-connect-adobe-faq) and [coverage from earlier this year](https://creativepro.com/pantone-color-libraries-are-leaving-the-adobe-apps/) list an $8/month or $60/year subscription price for Pantone Connect, much lower than the prices listed on the plugin's product page.


That Pantone FAQ also claims that "existing Creative Cloud files and documents containing Pantone Color references will keep those color identities and information," a statement that seems to be contradicted by the Adobe licensing error message. For its part, [Adobe's FAQ](https://helpx.adobe.com/illustrator/kb/pantone-color-books-illustrator.html) says that versions of its apps released before August 2022 "will continue to have all previous Pantone Color books pre-loaded and available."


In a pinch, this means you could use Creative Cloud's "other versions" feature to install an older version of your apps that can still see and work with Pantone colors as you could before (Photoshop 23.4, InDesign 17.3, and Illustrator 26.4 appear to be the most recent versions released before August 2022).


This is only a stopgap; Adobe doesn't offer older versions of its apps indefinitely. But for people who don't use Pantone colors heavily or regularly, it can allow you to open and modify your files so you don't end up with blacked-out colors in your images. Others have suggested that [manually copying these Pantone color libraries](https://www.printweek.com/features/article/colour-confusion) from older versions of the apps and re-adding them to the newer versions could also be a workaround for some users.


We asked Adobe about all the contradictory information we've run into: the exact date users can expect to see these changes; whether old files will have their colors removed or whether they'll be unchanged; and whether any missing colors can be restored by installing the Pantone Connect plugin (something we can't test for because Pantone colors are still working fine on our end). The company had nothing else to share about these specific questions as of this writing.




## Promoted Comments


* [ZhanMing057](/civis/memberlist.php?mode=viewprofile&u=361267)
Ars Praefectus

[et Subscriptor](/store/product/subscriptions/)



[Jerdak](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353759) wrote:show nested quotes[imdwalrus](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353691) wrote:[ZhanMing057](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353675) wrote:[nehinks](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353661) wrote:Can we get a short explanation of context here? The article reads as written by digital artists for digital artists. A simple 2-3 sentence intro would have been great for those of us who aren't in that field.  
  
IE, what is the significance of Pantone? Why can't you just use RGB values?  
  
It's the same colors, but Pantone's system (theoretically) guarantees color consistency to a physical color swatch, across a variety of print mediums. Think color matching the coating and paint on your desk chair.  
  
It's also standard in a lot of industries, which is where the trouble really comes in.  
So it's less about the colors on the computer (since anybody could do the same RGB value), and more of a guarantee that they can match that color in the physical world precisely?  
  
I guess I can see the value in that - if you've ever put any time/effort into painting your house, I'm sure your aware of how much paint colors can change between swatches/samples/whole walls. Heck, time of day or gloss level in the paint can completely change the tone. [We very definitely don't talk about the number of paint sample cans in the closet...]  
  
Maybe we're a little too focused on the term RGB. All colors are expressed numerically are they not? Some program will send a signal to a digital device and that device understands color as a number, regardless of the format. So while the original question said RGB, isn't the same question true of CMYK or HSV or whatever. e.g. If I know the CMYK percentages for Pantone 305 C but I don't explicitly call it that, do they own the rights and if so, how.  
  
You could represent any color (up to 16 million) by six-digit hex codes. They don't own the actual colors, just the process in which those colors translate to actual colors in the physical world. But that starts with coding the color in software, which they can (and just did) deny users access to.
 
 


4116 posts | registered 1/28/2013
* [mstark90](/civis/memberlist.php?mode=viewprofile&u=347890)
Ars Scholae Palatinae




[nehinks](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353661) wrote:Can we get a short explanation of context here? The article reads as written by digital artists for digital artists. A simple 2-3 sentence intro would have been great for those of us who aren't in that field.  
  
IE, what is the significance of Pantone? Why can't you just use RGB values?  
  
Short story: Standardization of color between different media (print, digital, fabric, etc).   
  
Long story: Web uses RGB, but print often uses CMYK, and for fabric you have to use dyes and you can't easily interchange between the three. RGB is additive, CMYK is subtractive, and dyeing is a chemical process.  
  
With Pantone, you can just give someone the Pantone color without having to worry about what color process they're using to render that color. You can't just give someone the RGB values if you're wanting them to create clothes for you with that specific color.  
  
EDIT: Clarity.
 
 
 
 


605 posts | registered 8/22/2012
* [storm2k](/civis/memberlist.php?mode=viewprofile&u=238836)
Smack-Fu Master, in training

[et Subscriptor](/store/product/subscriptions/)



[nehinks](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353794) wrote:show nested quotes[nehinks](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41353661) wrote:Can we get a short explanation of context here? The article reads as written by digital artists for digital artists. A simple 2-3 sentence intro would have been great for those of us who aren't in that field.  
  
IE, what is the significance of Pantone? Why can't you just use RGB values?  
  
Lots of good answers to this already! But I added a graf to the piece as well.  
I'd highly recommend promoting mrstark90's comment - was the most descriptive and explanatory.  
  
So nobody has figured out a crossreference between Pantone colors and RGB/CMYK/etc. codes? It seems like the type of thing that should be possible (ie, a plugin that can export a file saved in whatever format and translate it to Pantone colors when you want to send it a manufacturer).  
  
It's quite possible. Sites like <https://teamcolorcodes.com/> and <https://brandcolors.net/> can tell you the hex codes or RGB combinations very easily and for the amateur who's maybe just making something for the screen or where color fidelity isn't super important in print, it suffices. It does NOT suffice for professionals who count on Pantone to ensure that the thing they design on their screen matches the physical output, especially when they're a brand making products and it really matters that it matches.
 
 


62 posts | registered 1/27/2010
* [nemzes](/civis/memberlist.php?mode=viewprofile&u=509289)
Seniorius Lurkius




 Someone has already created [a competing plug-in](https://culturehustle.com/products/freetone) that catalogues the Pantone colours… for free 🤷
 
 


18 posts | registered 10/6/2015
* [darkowl](/civis/memberlist.php?mode=viewprofile&u=152257)
Ars Scholae Palatinae




 I haven't done print work for a while, but it seems there's some good info here but also a lot of confusion. I may also have older knowledge here. Here goes though.  
  
Colours are complicated. Colours are also very much influenced by context around them.  
  
The biggest misconception I see in the comments is "but it's just RGB in the end right?". Not so. RGB can only reproduce a certain range of colours, using three primary phosphours - red, green and blue. RGB is additive light mixing, where the more you add the closer to white it gets. CMYK uses four pigments - cyan, yellow, magenta and black. The more subtractive pigment you add, the darker it gets (you could technically drop black and mix 100% CMY to get a murky brown-black-ish colour, but having a pure black just makes things easier).  
  
There are also colours that RGB nor CMYK can't reproduce \*at all\*. Certain oranges and greens for example, or fluorescent or metallic colours. For those colours, you need to use specialty pigments, called spot colours. If you've ever gone to a hardware paint store, you'll know those paint carousels with all the different pigment droppers on them. Each dropper contains a pure, solid pigment. When mixed, in various ratios they make all the paints available. Each manufacturer also has their own "proprietary" formulations, because they want you to buy their paints and their mixes. There's a strong parallel with what Pantone does here. Pantone's spot colours contain both pure pigments, as well as a range of colours specifed as a formula mix of pigments.  
  
Let's look at Pantone in offset printing first. For offset, a physical piece of material called a plate, with the design etched into it, is produced for each ink used. For example, one plate for cyan, one for yellow, one for magenta and one for black. We call that "four colour process". However! You don't have to use CMYK. When I was still doing design, my business card used black, metallic silver and two plates of Pantone 485 ink\*. That was also a four colour process, but not in the traditional sense.  
  
Some bigger print shops will have offset machines that can run six, eight, some times even more. The more plates and the more inks you use, the more expensive the job. Also you can do a job in one colour with a single ink if you want. Solid inks will always look cleaner than CMYK, especially if they're a pure pigment and not a mix. And Pantone has their physical swatchbooks\*\* that help you see what each spot should look like when printed. Oh, Pantone also sells the exact inks your printing press company should be using, of course. So assuming they use Pantone's base inks and mix any formulations precisely according to Pantone, you should always get consistent results.  
  
Pantone's system gets a lot more dubious when it's applied to CMYK and especially RGB.  
  
With CMYK, they specify exact formulations and then the swatchbooks are used as the "source of truth" assuming the paper you're printing on is a similar stock (shiny/coated and matte/uncoated papers behave differently, hence why those separate books exist as the colours will end up quite different!). Usually when a printer encounters a colour specified as a Pantone CMYK, it should use the exact formulation and discard any colour profile modifications. At least, that's the theory. However, not all CMYK inks are made the same, so a domestic office printer's CMYK will still likely produce different output to say, offset using Pantone CMYK inks. But it'll be close enough to the layperson.  
  
However, CMYK formulations are just that; if Pantone can suggest that colour should be 80% C, 20% M, 0% Y and 5% K, there is literally nothing stopping you from specifying the exact same formula, as long as your document's colour profile doesn't mess with it.  
  
RGB is, honestly, never going to be guaranteed. Monitors vary so much, and if you're taking a CMYK or spot colour as your "source of truth", then you need to know that RGB cannot reproduce all the colours of CMYK (and vice versa). You can get some "as close as possible in very specific conditions on very specific calibrated monitors", but once you put it out there for the general public (hi, websites!), all bets are off as to how the colour will be displayed, other than "some kind of red" or "some kind of purple" or whatever. Neither Pantone nor anyone else can really guarantee how RGB will be displayed.  
  
So that's it, really. Pantone colours are very consistent when using spot colours in offset, because the inks and formulations are theirs. It's questionable whether someone can't just use the same numbers. But you'd have a harder time if any of the base chemical pigments were created by them (you can definitely "own" a colour pigment if you can invent a unique chemical formulation for it). They can give you CMYK formulas that approximate their spot colours, but ultimately those are just CMYK and you could very well just specify whatever formulation you want, even one that matches a Pantone formulation. Same with RGB.  
  
Is this nonsense worth paying Pantone a monthly or yearly tithe? Probably not, to be honest. You can create any swatch you want in, say, Illustrator, note "please print this in Pantone 485" and your press operator can do that. Then if you need to use CMYK, decide what mix you want that to be. Then choose an RGB mix for screen.  
  
Of course, Pantone aren't the only ink makers in the game. But most will approximate to Pantone as the "standard".  
  
---  
  
\* Why two plates of the same colour? Though we call them solid inks, all inks are actually slightly translucent. If you use two identical plates with the same ink, the colour will be much more intense. For those familiar with offset printing, they had to be dead register. My print shop's operators were real perfectionists, and I liked to challenge them.  
  
\*\* Why are the swatch books so expensive? Well, at least for the spot colour books, a press operator needs to mix every single formulation in the book. I imagine it'd be a massive amount of effort.
 
 


1402 posts | registered 10/17/2006
* [SinclairZX81](/civis/memberlist.php?mode=viewprofile&u=300846)
Ars Tribunus Militum




[psturges](https://arstechnica.com/gadgets/2022/11/pantone-wants-15-month-for-the-privilege-of-using-its-colors-in-photoshop/?comments=1&post=41362151) wrote:show nested quotesCan we get a short explanation of context here? The article reads as written by digital artists for digital artists. A simple 2-3 sentence intro would have been great for those of us who aren't in that field.  
  
IE, what is the significance of Pantone? Why can't you just use RGB values?  
  
They make the printing inks that correspond to their swatch books and in-app color picker. Lots of these colors have no cmyk equivalent. They are called “spot colors “. It’s a bit of a monopoly.  
  
I upvoted you because you're right, but monopoly? Yes and no. Defacto? Sure. Mostly because other companies' systems aren't as comprehensive and haven't been as well integrated into EVERY aspect of design and lithographic printing for decades. Try and find a Toyo swatch book at an art- or print-supply shop, for example. Pantone has a near-monopoly because they made sure they're EVERYWHERE, and they succeeded.  
  
Rolling back through the discussion here and nobody (including myself) have really put ALL the pieces together as to why this is important and how workarounds are challenging.  
  
The "Pantone Matching System" isn't just swatch books, physical or digital. Pantone hasn't "copyrighted colors." The PMS consists of swatchbooks (physical and digital) and a system of trade-secret pigments and inks that, associated with a (copyrighted) formulary, print shops can use to match the colors in those swatchbooks on press. There's a formulary mix of Pantone-supplied pigments that makes "Pantone 320 C", and another for "Pantone 200 U," and every other swatch in the library. It's the whole SYSTEM that's important, because I can specify "Pantone 320 C" in my layout and then send that to ANY PRINTER IN THE WORLD who has Pantone Matching System pigments and inks on-hand and, if their pressman can just "follow a recipe" from the Pantone formulary book, my piece will come off press with the RIGHT color.  
  
The power of Pantone is that the swatchbooks (physical and digital) accurately represent those colors to anyone who buys them, to the limits of their device. A physical swatchbook will always be more accurate than a computer screen, because the swatches are printed in the actual pigments and inks from the PMS. Computer monitor calibration doesn't practically exist, and the gamut limitations of the color model used by the OS or layout software, coupled with the limitations or real-world phospors or other emitters used in computer monitors mean you'll only get an approximation. But that doesn't really matter, because the benefit provided by a digital swatchbook in, say, InDesign, is that I can just add a genuine Pantone color to the layout I'm working upon just by selecting it from a list. There's nothing stopping me from making a custom spot plate in my layout and naming that "Pantone 320 C" - and the effect will be the same at the end-of-the-line print vendor. Their RIP (Raster Image Processor - the thing that turns my digital layout into the data the press-plate machine turns into physical plates for printing) will separate out that plate just the same as if I picked the color name from the digital Pantone swatchbook in my software. Computers define spot colors by name, not "color." As others have noted, it doesn't matter at all what the color looks like in the computer, it's the name that counts. Making the digital swatch visually close to the actual color is a convenience for digital artists, not a requirement for the process.  
  
So the power of the Pantone Matching System is the whole SYSTEM, swatchbooks, pigments, and formulary books. "Open source" the formulary? You'd be breaking copyright on them and you'd still need Pantone-supplied base pigments (and there are dozens and dozens) or the exercise is pointless. And the formula for THOSE is a tightly-held trade secret by Pantone.  
  
What happened here is that Adobe apparently decided they didn't want to pay Pantone for a license to include the digital swatchbooks in Adobe's software anymore. Whatever contract there was ran out, and Pantone - fully within their rights - said, "No license, no PMS swatchbooks in your software." Adobe would rather, it seems, pass the cost on to their customers than pay it themselves.   
  
Which greed is both highly typical of Adobe these days and a real fustercluck for graphics professionals. We'll get by - even if we have to shell out for physical swatchbooks again every five years or so - but it'll be a PITA.  
  
If you're working in RGB for work that will be displayed a computer monitor, or are doing purely process CMYK work, this only affects you if you want to try and simulate a Pantone-book color. But you could eyeball it and come out fairly close if you're skilled with color. The world this affects the most is print, and for us it's another royal PITA that Adobe has thrust upon us in their constant pursuit of shareholder value.  
  
Pantone is blameless here, unless you think they should give away their digital swatchbooks for free. There's some argument for that, since they still get revenue providing the pigments and formularies to print shops around the world, but that's not the way they went.
 
 


2490 posts | registered 6/21/2011














## Tags:
***urls***: https://teamcolorcodes.com/ https://brandcolors.net/

### Autogenerated tags:
pantone cmyk rgb apps swatchbooks photoshop cloud here? field.ie pantone?
