# RIP to my 8-port Unifi switch after years and years of Texas outdoor temps
## Turns out that only lightning could kill the otherwise-unkillable US-8-150W.
## Information:

+ Link: https://arstechnica.com/gadgets/2023/10/saying-goodbye-to-great-hardware-my-8-port-unifi-switch-finally-buys-the-farm/
+ Source: Ars Technica
+ Author: Lee Hutchinson
+ Date published: 20 October 2023, 13:17
+ Date scraped: 20 October 2023, 14:01

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/10/IMG_2214-2-760x380.jpg)







This morning, I'd like to pour one out for a truly awesome piece of gear that did everything I asked of it without complaint and died before its time: my Unifi 8-port POE switch, model US-8-150W. Farewell, dear switch. You were a real one, and a lightning strike took you from us too soon.


I picked up this switch [back in January of 2016](https://arstechnica.com/gadgets/2016/04/ubiquitis-8-port-poe-switch-is-a-solid-complement-for-a-home-unifi-setup/), when I was ramping up my quest to replace my shaky home Wi-Fi with something a little more enterprise-y. The results were, on the whole, positive (you can read about how that quest turned out in [this piece right here](https://arstechnica.com/information-technology/2018/07/enterprise-wi-fi-at-home-part-two-reflecting-on-almost-three-years-with-pro-gear/), which contains much reflection on the consequences—good and bad—of going overboard on home networking), and this little 8-port switch proved to be a major enabler of the design I settled on.
[![Happier times—the old US-8-150W right out of the box, when it was brand new. Note those two SFP slots at right.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/JT3A9018.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/JT3A9018.jpg) / Happier times—the old US-8-150W right out of the box, when it was brand new. Note those two SFP slots at right.


Why? Well, it's a nice enough device—having 802.3af/at and also Ubiquiti's 24-volt passive PoE option made it universally compatible with just about anything I wanted to hook up to it. But the key feature was the two SFP slots, which technically make this a 10-port switch. I have a detached garage, and I wanted to hook up some PoE-powered security cameras out there, along with an additional wireless access point. The simplest solution would have been to run Ethernet between the house and the garage, but that's not actually a simple solution at all—running Ethernet underground between two buildings can be [electrically problematic](https://www.truecable.com/blogs/cable-academy/into-the-great-outdoors-running-ethernet-cable-outside) unless it's done by professionals with professional tools, and I am definitely not a professional. A couple of estimates from local companies told me that trenching conduit between my house and the garage was going to cost several hundred dollars, which was more than I wanted to spend.


But optical fiber doesn't have any of the electrical issues that copper does, and it works great between buildings. All it took to wire up my garage were some cheap gigabit SFP transceivers (pretty sure I used [these ones right here](https://sg.store.ui.com/collections/operator-accessories/products/sfp-modules)), 40 meters of [aqua-clad multimode fiber](https://www.amazon.com/dp/B0762C5L43/?ots=1&tag=arstech20-20), and a $75 appointment with a contractor to actually run the fiber. Then I just had to mount the switch, and, boom, the garage was officially part of the network.


[![The back side of the beam on which the switch is mounted. This also sort of shows the fiber run coming into the garage.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/IMG_2212-2.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/IMG_2212-2.jpg) / The back side of the beam on which the switch is mounted. This also sort of shows the fiber run coming into the garage.Lee Hutchinson


The reason why this switch warrants a front-page writeup is the sheer aplomb with which it handled the ridiculous amount of heat-related abuse it had to put up with. During the summer—which in Houston lasts about 10 months out of the year—the garage temperature can get above 120°F (around 50°C) and stay that way for 10 or 12 hours, and the US-8-150W's CPU thermal sensor spent most of its operational life reading between 70°–80°C. That little switch ate those temperatures every single day, without complaint, for *almost eight years*.


That's pretty damn good, in my opinion. In fact, the switch would still be in place, happily doing its thing, if not for a lightning strike near my home a couple of months back. The strike caused a bunch of problems—and one of those problems was scrambling the switch's brains.


And even after the strike, the switch *still wouldn't die*. Two ports quit working altogether, and two others wouldn't produce PoE anymore, but the US-8-150W soldiered on for another month while I hunted around for a replacement.


In the end, the only thing I could find to replace the US-8-150W ended up being another US-8-150W—and so that's what now hangs in my garage, in the same place as its forebear. Kudos to Ubiquiti for producing this tank—whatever else the company may have done, good or bad, the US-8-150W was a hell of a switch. Here's to it, and here's to the US-8-150W that I'm replacing it with. If I can get another eight years out of this one, it'll absolutely be money well spent.














## Tags:


### Autogenerated tags:
us-8-150w sfp
