# Samsung heir pardoned due to South Korean economic needs
## Lee's ascendancy to Samsung chairman position key to "vitalizing the economy."
## Information:

+ Link: https://arstechnica.com/information-technology/2022/08/samsung-heir-pardoned-due-to-south-korean-economic-needs/
+ Source: Ars Technica
+ Author: Kevin Purdy
+ Date published: 12 August 2022, 15:45
+ Date scraped: 15 August 2022, 12:44

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/08/GettyImages-1242446915-760x380.jpg)







Samsung Electronics Vice-Chair Jay Y. Lee received a presidential pardon Friday for his role in a 2016 political scandal, a move the South Korean government says is necessary so the country's largest [chaebol](https://en.wikipedia.org/wiki/Chaebol) can help steady the national economy.


“In a bid to overcome the economic crisis by vitalizing the economy, Samsung Electronics Vice Chairman Lee Jae-yong… will be reinstated,” the Korean government stated in a joint press release from its ministries, [according to Bloomberg News](https://www.bloomberg.com/news/articles/2022-08-12/south-korea-restores-samsung-s-jay-y-lee-right-to-work-l6pul38z).


Lee, 54, known as Lee Jae-yong in Korea, was [arrested in February 2017](https://arstechnica.com/tech-policy/2017/02/samsung-chief-lee-jae-yong-arrested-for-bribery/) on charges that he was complicit in Samsung paying millions in bribes to [various organizations tied to a presidential advisor.](https://en.wikipedia.org/wiki/2016_South_Korean_political_scandal) The bribes were intended to win favor for an $8 billion proposed merger of two Samsung Group units. In August 2017, [Lee was convicted](https://arstechnica.com/tech-policy/2017/08/samsung-heir-convicted-sentenced-to-5-years-on-corruption-charges/) of perjury, embezzlement, hiding assets outside the country, and being one of five Samsung executives who paid $6.4 million in bribes to ex-South Korean President Park Geun-hye.


The swift trial and fall from grace didn't last long. Lee's sentence was halved at an appeal hearing in February 2018, and key bribery and embezzlement charges were "suspended," allowing him to [leave prison after just six months](https://arstechnica.com/gadgets/2018/02/samsung-heir-freed-from-prison-after-court-suspends-bribery-charges/). A National Assembly member at the time said that the ruling "confirmed once again that Samsung is above the law and the court."


In early 2021, Lee's appeals resulted in a new trial, which [sentenced him to 30 months](https://arstechnica.com/gadgets/2021/01/samsungs-top-executive-gets-30-months-in-prison-for-bribery/). Lee was [granted parole in August 2021](https://arstechnica.com/gadgets/2021/08/samsung-leader-jay-y-lee-released-from-prison-on-parole/) after serving 18 of 30 months. Now those charges are gone.


## Back to business as usual


While on parole, Lee could not officially take up employment, though it was clear he maintained his stature in the family business. Lee joined South Korean President Yoon Suk-yeol in providing President Biden a tour of a Samsung chip facility in May. Bloomberg reported that Lee received reports on Samsung's business, even if he was not able to act on them.


What this pardon might do, aside from steadying markets, is make Lee's ascendancy official. He had been a de facto leader at the company after his father's heart attack and hospitalization in 2014, but his criminal case prevented a real transition after Lee Kun-hee's death in 2020. Lee Kun-hee was also extensively pardoned by South Korea, never being formally arrested or serving jail time for bribery, tax evasion, and breach of trust charges in 1996 and 2009. The chairman position has sat vacant at Samsung since Lee Kun-hee's death.


With his own pardon, Lee is free to officially take the reins at Samsung—if he can also maneuver past separate charges relating to a merger of Samsung subsidiaries.


Also pardoned this week was Shin Dong-bin, chairman of Lotte Group, South Korea's fifth-largest family-run conglomerate. That pardon was also transparently focused on shoring up the economy against inflation, supply chain crises, and global tensions.


“With urgent needs to overcome the national economic crisis, we carefully selected economic leaders who lead the national growth engine through active technology investment and job creation to be pardoned,” said Justice Minister Han Dong Hoon, [according to CNBC](https://www.cnbc.com/2022/08/12/south-koreas-president-pardons-samsung-leader-jay-y-lee.html).


One of Lee's first projects could be finalizing a $17 billion chip plant that Samsung wants to build in Taylor, Texas, capitalizing on [ample US funding available for domestic chip production](https://arstechnica.com/tech-policy/2022/08/chipmakers-battle-for-slice-of-us-government-support/). Analysts also said they expect Samsung to move quicker and more decisively on research, acquisition, and broader strategies.


“I am deeply grateful for the opportunity to make a new start,” Lee stated in a release after his pardon. “I will work hard to fulfill my responsibility as an entrepreneur.”








 




## Tags:


### Autogenerated tags:
samsung kun-hee
