# Kali Linux 2022.2 released with 10 new tools, WSL improvements, and more
## Offensive Security has released ​Kali Linux 2022.2, the second version in 2022, with desktop enhancements, a fun April Fools screensaver, WSL GUI improvements, terminal tweaks, and best of all, new tools to play with!
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kali-linux-20222-released-with-10-new-tools-wsl-improvements-and-more/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 16 May 2022, 16:35
+ Date scraped: 16 May 2022, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/14/kali-bright.jpg)



Offensive Security has released ​Kali Linux 2022.2, the second version in 2022, with desktop enhancements, a fun April Fools screensaver, WSL GUI improvements, terminal tweaks, and best of all, new tools to play with!


Kali Linux is a Linux distribution for cybersecurity professionals and ethical hackers to perform penetration testing, security audits, and research against internal and remote networks.


With this release, the Kali Linux Team introduces a variety of new features, including:


* GNOME 42 - Major release update of the popular desktop environment
* KDE Plasma 5.24 - Version bump with a more polished experience
* Multiple desktop enhancements - Disabled motherboard beep on Xfce, alternative panel layout for ARM, better support for VirtualBox shared folders, and lots more.
* Tweaks for the terminal - Enhanced Zsh syntax-highlighting, inclusion of Python3-pip and Python3-virtualenv by default
* April fools - Hollywood mode - Awesome screensaver
* Kali Unkaputtbar - BTRFS snapshot support for Kali
* Win-KeX 3.1 - sudo support for GUI apps
* New tools - Various new tools added.
* WPS attacks in Kali NetHunter - Added WPS attacks tab to the NetHunter app

##  Desktop enhancements


Kali Linux 2022.2 includes an upgrade to Gnome 42, which brings a cleaner feel and adds a built-in screenshot and screen-recording tool.


"The shell theme now includes a more modern look, removing the arrows from the pop-up menus and using more rounded edges. In addition, we've upgraded and tweaked the dash-to-dock extension, making it integrate better with the new look and fixing some bugs," the Kali Team explains in a new blog post.


As part of this version bump, Kali also upgraded their Kali-Dark and Kali-Light themes, with the dark theme shown below.



![New Kali-Dark desktop theme](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2022.2/kali-dark.jpg)**New Kali-Dark desktop theme**
This version also includes an upgrade to KDE Plasma 5.24, containing an improved design and tweaks to the interface.


Another notable change is that applications will now respect custom icons added by the Kali Team instead of displaying older, and likely more pixelated, icons that come with the apps.


## New movie-inspired screensaver


The Kali Team has added a Hollywood-inspired screensaver, which should be immediately recognizable for many of you, created as part of their April Fools Day "Kali 4 Kids" joke.


To launch it immediately, instead of through the screensaver app, you can use the following the commands to launch and activate it:



```
sudo apt -y install hollywood-activate
hollywood-activate
```

A video showing the new screensaver can be seen below.



## WSL GUI applications can now run as root


For those running Kali Linux under the Windows Subsystem for Linux, the Kali team released Win-KeX to allow you to launch GUI applications using WSL-G.


However, users could not launch GUI applications as 'root' using this tool.


With the release of Kali Linux 2022.2, Win-KeX has been upgraded to version 3.1, and you can now 'sudo' a GUI app and have it launch as expected.


## Ten new tools added in Kali Linux 2022.2


New Kali versions bring new tools to play with, and Kali Linux 2022.2 doesn't disappoint.


This release includes ten new tools ranging from network forensics to the PHP post-exploitation framework, Phpsploit.


Below are the ten new tools added in Kali 2022.2:


* [BruteShark](https://www.kali.org/tools/bruteshark/) - Network Forensic Analysis Tool (NFAT)
* [Evil-WinRM](https://www.kali.org/tools/evil-winrm/) - Ultimate WinRM shell
* [Hakrawler](https://www.kali.org/tools/hakrawler/) - Web crawler designed for easy, quick discovery of endpoints and assets
* [Httpx](https://www.kali.org/tools/httpx-toolkit/) - Fast and multi-purpose HTTP toolkit
* [LAPSDumper](https://www.kali.org/tools/lapsdumper/) - Dumps LAPS passwords
* [PhpSploit](https://www.kali.org/tools/phpsploit/) - Stealth post-exploitation framework
* [PEDump](https://www.kali.org/tools/ruby-pedump/) - Dump Win32 executable files
* [SentryPeer](https://www.kali.org/tools/sentrypeer/) - SIP peer-to-peer honeypot for VoIP
* [Sparrow-wifi](https://www.kali.org/tools/sparrow-wifi/) - Graphical Wi-Fi Analyzer for Linux
* [wifipumpkin3](https://www.kali.org/tools/wifipumpkin3/) - Powerful framework for rogue access points

## Enhanced ARM support


For ARM users, Kali brings a bunch of new enhancements, primarily focusing on installs on Raspberry Pi.


* Bump kernel to 5.10.103
* Bluetooth is fixed, for real this time.
* Wi-Fi firmware now uses 7.45.206 by default instead of 7.45.154, with nexmon patches applied.
* Raspberry Pi Zero 2 W is now supported by nexmon
* Improvements to the `wpa_supplicant.conf` handling
* Kernel has NVME support built in, instead of module, so Raspberry Pi Compute Modules that use NVMe for their root device will work out of the box.
* The Raspberry Pi userland is now packaged up for ARM64 instead of built manually at image creation.

In addition to Raspberry Pi, the Kali team also brought improvements to Pinebrook pro, USB Armory MKII, and Radxa Zero.


## How to get Kali Linux 2022.2


To start using Kali Linux 2022.2, you can upgrade your existing installation or [download ISO images](https://cdimage.kali.org/kali-2022.2/) for new installs and live distributions.


For those updating from a previous version, including installs on the Windows Subsystem for Linux (WSL), you can use the following commands to upgrade to the latest version.



```
echo "deb http://http.kali.org/kali kali-rolling main non-free contrib" | sudo tee /etc/apt/sources.list

sudo apt update && sudo apt -y full-upgrade

[ -f /var/run/reboot-required ] && sudo reboot -f
```

Note if you are using Kali on WSL, you should use it with WSL2 for a better experience, including support for GUI apps. You can check what WSL version Kali is installed as by using the '`wsl -l -v`' command in a Windows command prompt.


Once you are done upgrading, you can check if the upgrade was successful by using the following command:



```
grep VERSION /etc/os-release
```

While we only shared the highlighted improvements in Kali 2022.2, you can view the [complete changelog](https://www.kali.org/blog/kali-linux-2022-2-release/) at Kali's website.





## Tags:
***urls***: http://http.kali.org/kali

### Autogenerated tags:
linux gui screensaver sudo wsl win-kex apps windows
