# Kali Linux 2024.1 released with 4 new tools, UI refresh
## Kali Linux has released version 2024.1, the first version of 2024, with four new tools, a theme refresh, and desktop changes.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kali-linux-20241-released-with-4-new-tools-ui-refresh/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 February 2024, 14:47
+ Date scraped: 28 February 2024, 20:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/11/kali-linux.jpg)



Kali Linux has released version 2024.1, the first version of 2024, with four new tools, a theme refresh, and desktop changes.


Kali Linux is a distribution created for cybersecurity professionals and ethical hackers to perform penetration testing, security audits, and research against networks.


As is typical for the year's first version, the Kali Team has released new visual elements, including wallpapers and updates to the boot menu and login display.


Four new tools in Kali Linux 2024.1
-----------------------------------


As with every release, it wouldn't be fun without some new ~~tools~~ toys to play with.


Below are the four new tools added in Kali 2024.1:


* [blue-hydra](https://www.kali.org/tools/blue-hydra/) - Bluetooth device discovery service
* [opentaxii](https://www.kali.org/tools/opentaxii/) - TAXII server implementation from EclecticIQ
* [readpe](https://www.kali.org/tools/readpe/) - Command-line tools to manipulate Windows PE files
* [snort](https://www.kali.org/tools/snort/) - Flexible Network Intrusion Detection System

In addition to the new tools, Kali says they upgraded the Kernel version to 6.6.


Annual theme refresh
--------------------


As part of the first version of the year, the Kali team adds new visual elements to the distro, and this year is no exception.


"This year marks the unveiling of our newest theme, meticulously crafted to enhance user experience from the moment you boot up," reads the [Kali announcement](https://www.kali.org/blog/kali-linux-2024-1-release/).


"With significant updates to the boot menu, login display, and an array of captivating desktop wallpapers, for both our regular Kali and Kali Purple editions."



![Kali Desktop in version 2024.1](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2024.1/kali-desktop.jpg)**Kali Desktop in version 2024.1  

​​​***Source: Kali*


This Kali version also comes with two new wallpapers suggested by [@arszilla](https://twitter.com/arszilla).


"These additional images were crafted to complement the background colors of the Nord and Dracula color schemes," says the Kali Team.


"To access these wallpapers, simply install the kali-community-wallpapers package, which also offer many other stunning backgrounds created by our community contributors."


New desktop changes
-------------------


In addition to the visual changes, the Kali Team has also added some new features to the Xfce and Gnome desktops.


For Xfce users using Xclip, you can now easily copy your VPN IP address to the clipboard, making it easier to manage your VPN connections.



![Click to copy VPN IP address](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2024.1/vpn-ip-to-copy.jpg)**Click to copy VPN IP address**  
*Source: Kali*


For Gnome users, the eye-of-gnome (eog) image viewer has been replaced with Loupe, and the latest Nautilus file manager brings speed improvements.


How to get Kali Linux 2024.1
----------------------------


To start using Kali Linux 2024.1, you can upgrade your existing installation, [select a platform](https://www.kali.org/get-kali/), or [directly download ISO images](https://cdimage.kali.org/kali-2023.4/) for new installs and live distributions.


For those updating from a previous version, you can use the following commands to upgrade to the latest version.



```
echo "deb http://http.kali.org/kali kali-rolling main contrib non-free non-free-firmware" | sudo tee /etc/apt/sources.list

sudo apt update && sudo apt -y full-upgrade

cp -vrbi /etc/skel/. ~/

[ -f /var/run/reboot-required ] && sudo reboot -f
```

If you are running Kali on the Windows Subsystem for Linux, upgrade to WSL2 for a better experience, including the ability to use graphical apps.


You can check the WSL version used by Kali with the 'wsl -l -v' command in a Windows command prompt.


Once done upgrading, you can check if the upgrade was successful by using the following command:



```
grep VERSION /etc/os-release
```


![Checking the version of Kali Linux](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2024.1/kali-2024-1.jpg)**Checking the version of Kali Linux**  
*Source: BleepingComputer*


You can view the [complete changelog](https://www.kali.org/blog/kali-linux-2024-1-release/) for Kali 2024.1 on Kali's website.





## Tags:
***urls***: http://http.kali.org/kali

### Autogenerated tags:
linux sudo windows vpn
