# Another recall for Tesla could be in the works
## US regulators upgraded a probe into Tesla's EV power steering system after thousands of drivers reported losing the ability to control their vehicle's steering wheel.
## Information:

+ Link: https://cybernews.com/news/tesla-loss-steering-control-investigation-recall-/
+ Source: CyberNews
+ Author: 
Stefanie Schappert

+ Date published: 03 February 2024, 05:44
+ Date scraped: 05 February 2024, 12:07

## Article:
![Main article image](https://media.cybernews.com/images/featured-big/2024/02/TeslaService.jpg)


***US regulators expand a probe into Tesla's EV power steering system after thousands of drivers report losing the ability to control their steering wheel – causing one driver to crash and leaving dozens more stranded.***  


The National Highway Traffic Safety Administration (NHTSA) upgraded its preliminary investigation, launched in July 2023, to include an engineering analysis of 334,569 Model 3 and Model Y vehicles from the same year.


The move is seen as one step closer to a full recall of Tesla models equipped with the standard feature.


According to NHTSA documents dated February 1st, the loss of steering is “frequently accompanied by driver-facing messages indicating that power steering assist is reduced or disabled the electric car manufacturer.”


There have been a total of 2,388 steering loss complaints filed with Tesla and safety regulators – showing at least one incident resulted in a crash.


The driver of that crash hit another vehicle after reportedly being unable to complete a right hand turn in an intersection.


Tesla and the ODI performed a joint examination of the crashed vehicle and its steering rack, said to be the subject of the possible recall.


For owners whose steering rack component was replaced by Tesla, the steering issue was no longer an issue.



![Tesla self-driving assistance system (ADAS)](https://media.cybernews.com/2023/10/TeslaAutoPilot.jpg)
Image by Beach Media | Shutterstock



#### Thousands of driver complaints

According to the complaints, the drivers either found they “could not turn the steering wheel,” or had to exert an “increased effort” to do so – reported during both start-up and while driving.


Approximately 1 in 10 owners said they were driving on open roads at 35 mph or more when the loss happened, with the highest recorded speed of 75 mph.


Half of the drivers reported the issue happening at speeds as low as 5 mph.


“There have been multiple allegations of drivers blocking intersections and/or roadways,” the ODI said.


The [NHTSA report](https://static.nhtsa.gov/odi/inv/2024/INOA-EA24001-10341.pdf) showed another 50 vehicles had to be towed “from a variety of areas including, driveways, parking lots, side of road and intersections.”


Some described their steering as feeling “notchy” or “clicky” before or after it would happen.


The majority of drivers also reported seeing a “Steering assist reduced” warning message on the dash around the same time.



![Tesla dealership](https://media.cybernews.com/2024/02/Teslamodel3.jpg)
Tesla Model 3 EV electric vehicle. Image by Jonathan Weiss | Shutterstock



#### Tesla recall woes

Tesla is certainly no stranger to recalls.


Earlier this week, Tesla voluntarily recalled 2 million plus vehicles to replace increase the letter font size for numerous dashboard warning lights.


The smaller font could “reduce the driver’s detection of it when illuminated, increasing the risk of a collision, the NHTSA said in its [report](https://static.nhtsa.gov/odi/rcl/2024/RCLRPT-24V051-2023.PDF). 


The over-the-air software update will increase the size of the font to comply with national safety regulations.


It’s the second recall of all 2 million plus Tesla’s currently on the road in just over a month.


In December, after a two year investigation by the NHTSA, Tesla was forced to [recall](https://cybernews.com/tech/tesla-recall-all-vehicles-autopilot-safeguards/) all of its vehicles to install new safeguards in its Autopilot advanced driver-assistance system. 


The investigation was triggered after the death of a Los Angeles driver who crashed while using a beta version of Tesla’s Autopilot system.


The NHTSA said the Autopilot system made drivers less attentive behind the wheel causing safety concerns.


Although a [jury](https://cybernews.com/tech/tesla-wins-fatal-autopilot-trial/) found that Tesla was not liable for the man's death in a much-publicized trial ending last November, and a judge nixed a [class action](https://cybernews.com/news/tesla-victory-in-autopilot-feature-class-action-suit/) suit of the same, it was still considered one of the largest recalls in Tesla’s history. 


Also related to the Autopilot feature, roughly 350,000 Tesla's were recalled in February 2023 for having faulty for faulty self-driving software.


The National Highway Safety Administration said the defective software allowed cars with the feature to "exceed speed limits or travel through intersections in an unlawful or unpredictable manner," making them susceptible to crashing.


Elon Musk, co-founder and CEO of Tesla, announced last week [Tesla](https://cybernews.com/tech/tesla-plans-next-generation-vehicle-2025/.) plans to produce a new mass-market electric vehicle codenamed "Redwood" next summer. 








---





## Tags:


### Autogenerated tags:
nhtsa
