# Tech whiz kid Sam Altman is out of OpenAI for good: what happened?
## Sam Altman, the ousted CEO of ChatGPT creator OpenAI, will definitely not return to the company he co-founded. It’s time to ask what happened.
## Information:

+ Link: https://cybernews.com/news/sam-altman-openai-chatgpt-microsoft-generative-ai/
+ Source: CyberNews
+ Author: 
Gintaras Radauskas

+ Date published: 20 November 2023, 10:11
+ Date scraped: 21 November 2023, 11:06

## Article:
![Main article image](https://media.cybernews.com/images/featured/2023/11/sam-altman-reuters.png)


***Sam Altman, the ousted CEO of ChatGPT creator OpenAI, will definitely not return to the company he co-founded. It’s time to ask what happened and why the star of the generative AI revolution crashed so hard.***


Altman’s removal on Friday, November 17th, has shaken the tech industry. It was entirely unexpected – just this past September, *New York Magazine* called him “the Oppenheimer of our age.”


Besides, since releasing ChatGPT, the viral generative AI chatbot, OpenAI has made waves throughout the tech industry and earned a $13 billion investment from Microsoft. In October, Altman told staff that the company was generating revenue at a pace of $1.3 billion a year.


OpenAI is also on track to triple in value since the AI unicorn has been talking to investors about a possible sale of existing shares. The proposed deal could [value](https://cybernews.com/tech/openai-to-triple-in-value-after-selling-shares/) the firm at $80-90 billion.


Now, even if it does happen ( the deal now seems in jeopardy), Altman will not be the CEO driving OpenAI forward. He was [unexpectedly ousted](https://cybernews.com/news/openai-ceo-sam-altman-stepping-down/) last week by the OpenAI board.


“Mr. Altman’s departure follows a deliberative review process by the board, which concluded that he was not consistently candid in his communications with the board, hindering its ability to exercise its responsibilities,” the board of directors stated in the [blog post](https://openai.com/blog/openai-announces-leadership-transition).


Over the weekend, frantic negotiations over Altman’s possible return still took place after several OpenAI employees expressed their support for him. Altman even visited the offices on Sunday.





But *The Information* soon [reported](https://www.theinformation.com/articles/breaking-sam-altman-will-not-return-as-ceo-of-openai) that the company’s board decided to “firmly stand” by its decision made public on Friday. Emmett Shear, co-founder of Amazon-owned video streaming site Twitch, is taking over as interim CEO.


It’s really quite ironic how OpenAI, a company promising a smarter life through generative AI wizardry, is descending into pure chaos caused by the decisions of good old humans. But what exactly could have happened?


A power struggle
----------------


Now, to be clear, Altman isn’t leaving the tech world. Hours after OpenAI said he wasn’t coming back, Microsoft said that it was hiring both Altman and Greg Brockman, OpenAI’s president who quit in solidarity with Altman.


The two men will lead an advanced research lab at the corporation, Satya Nadella, chief executive of Microsoft, said in a post on X. No more information was provided.





Microsoft, of course, is a money-making tech machine, whereas OpenAI was founded in 2015 by twelve individuals, including Altman, Brockman, and Elon Musk, as a nonprofit with the goal of making sure that AI doesn’t wipe out humans.


The co-founders said back then that the entity would not be driven by commercial incentives and would, in essence, operate more like a research facility or a think tank. OpenAI’s charter still [states](https://openai.com/charter) that its “primary fiduciary duty is to humanity,” not investors.


The choices made eight years ago could be behind the rift that ended with Altman’s removal last week. It seems that Altman has been willing to make defending humanity from AI into a profitable enterprise.


In 2019, he also transformed the AI lab into a for-profit company controlled by the nonprofit and its board. Because of the way it’s structured, the board is powerful enough not to allow investors to influence any decisions related to the governance of the company.


Altman’s dismissal by OpenAI’s board on Friday was the culmination of a power struggle between the company’s two ideological extremes, *The Atlantic* wrote on Sunday.


One group was born from Silicon Valley techno-optimism, energized by rapid commercialization. Presumably, Altman belonged to this camp. The other – OpenAI’s board – firmly believes that AI represents an existential risk to humanity and must be carefully controlled.


The two tribes managed to co-exist for years, but the release of ChatGPT, a product capable of building huge profits over a short period of time, widened the ideological rifts irretrievably. The pressure to commercialize clashed with the firm’s stated mission with a bang.


A prepper who’s into crypto
---------------------------

OpenAI’s chief scientist, co-founder Ilya Sutskever, was especially concerned about whether the company was upholding the nonprofit’s mission to create beneficial AGI (artificial general intelligence).


Sutskever was confident about the power of OpenAI’s technology, but he allied himself closely with the existential-risk faction within the firm. Meanwhile, Altman’s camp kept releasing new products like GPT-4 and the image generator DALL-E 3.


The company was in the process of creating GPT-5, Altman [told](https://www.ft.com/content/dd9ba2f6-f509-42f0-8e97-4271c7b84ded) the *Financial Times.* Finally, it all ended with Altman’s firing, which, some say, demonstrated that OpenAI was a unique tech company after all – or, at least, that its board wanted it to remain that way.


Altman is now on the side of wealthy multi-billion-dollar companies. Microsoft said it was “looking forward to moving quickly to provide them (Altman and Brockman) with the resources needed for their success.”


In a way, that’s not really surprising as Altman, who is 38 years old and whose childhood idol was Steve Jobs, entered the tech path at a very early age.


After dropping out of Stanford University after one year of studying computer science, Altman co-founded Loopt, a social networking mobile app, in 2005 and raised more than $30 million for the company.


Loopt failed to gain traction with enough users, but Altman, of course, had enough cash to try new things. For instance, he became a partner at American tech startup accelerator Y Combinator in 2011. He became its president in 2014 when the beginning of his journey with OpenAI was just around the corner.


Altman is also a bit weird and paranoid, just like many high-flying tech executives. He’s a prepper and said in 2016: “I have guns, gold, potassium iodide, antibiotics, batteries, water, gas masks from the Israeli Defense Force, and a big patch of land in Big Sur I can fly to.”


He’s also into crypto. In 2021, Altman and partners launched a global cryptocurrency project called Worldcoin, which wanted to give everyone in the world access to crypto by scanning their iris with an orb. However, the project is now being called an [invasive data collection operation](https://cybernews.com/privacy/worldcoin-iris-scanning-devices-raise-hackles-among-eu-privacy-watchdogs/). 








---





## Tags:


### Autogenerated tags:
altman openai microsoft ceo chatgpt brockman
