# Bank of America customer data exposed in IT provider breach
## Infosys McCamish Systems, which works closely with the lender, was impacted by the cybersecurity incident in November that exposed customer Social Security numbers and other account information.
## Information:

+ Link: https://www.cybersecuritydive.com/news/bank-america-customer-data-breach-it-Infosys-McCamish-Systems/707423/
+ Source: CyberSecurity Dive
+ Author: Rajashree Chakravarty and Naomi Eide
+ Date published: 13 February 2024, 11:47
+ Date scraped: 20 February 2024, 18:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/1A8wFzIcPRFigl0B6u-7sw6w8bfxmztARGiR7FHPsic/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTUzMTc0NzQzX1FaOXFydjIuanBn.webp)


### Dive Brief:


* A November 2023 “cybersecurity event” at Infosys McCamish Systems exposed Bank of America customer data, according to a breach notification letter from the bank’s outside counsel filed with the [Office of the Maine Attorney General](https://apps.web.maine.gov/online/aeviewer/ME/40/c2da936e-14f0-421a-833e-a24cbdd79cfa.shtml).
* Customers’ first and last names, addresses, business email addresses, dates of birth and Social Security numbers may have been among the compromised information. Bank of America said it was “unlikely that we will be able to determine with certainty what personal information was accessed.”
* A threat actor compromised IMS systems around Nov. 3, taking some IMS applications offline, Bank of America said in its letter.Bank of America said [57,028 customers](https://apps.web.maine.gov/online/aeviewer/ME/40/c2da936e-14f0-421a-833e-a24cbdd79cfa.shtml) were affected by the incident.


### Dive Insight:


IMS notified Bank of America about the data breach Nov. 24.A Bank of America spokesperson told Banking Dive, “[y]ou should reach out to Infosys McCamish. We’re declining to comment.” 


IMS provides services for deferred compensation plans.The company retained a third-party forensic firm to investigate and assist with the recovery plan following the security incident. The notice said the firm did not find any “evidence of continued threat actor access, tooling, or persistence in the IMS environment.”


[LockBit claimed responsibility for the IMS attack](https://twitter.com/DarkWebInformer/status/1720868655037120602) Nov. 4 and said more than 2,000 systems were encrypted. 


Bank of America customers were breached in another incident involving on one its third-party providers last year. An unauthorized actor accessed the systems of [NCB Management Services](https://apps.web.maine.gov/online/aeviewer/ME/40/65d544dc-79b0-437c-a7f8-757ffec624af.shtml), a national accounts receivable management company, last February, exposing the credit card account information of nearly 500,000 Bank of America customers. 


Cyberattacks have long affected financial institutions, leading the Federal Deposit Insurance Corp., the Office of the Comptroller of the Currency and the Federal Reserve to require banks to report incidents to their primary regulator within [36 hours](https://www.bankingdive.com/news/banks-face-tight-deadline-under-new-cyber-notification-rule/622467/), if it’s determined the incident could disrupt business or the stability of the financial sector.


The Federal Trade Commission has called for [nonbanking financial institutions to report data breaches](https://www.bankingdive.com/news/non-bank-financial-institutions-report-data-breach-ftc-cybersecurity/698312/) and other cybersecurity-related events no later than 30 days after discovering a breach affected at least 500 consumers. 


“Third-party breaches continue to plague organizations,” Ray Kelly, a fellow at Synopsys Software Integrity Group, told Banking Dive via email. “Ensuring the trust chain between organizations, while not a simple task, is essential to protecting consumers’ private information.”





## Tags:


### Autogenerated tags:
ims third-party
