# Experts warn of critical Zero-Day in Apache OfBiz
## Experts warn of new zero-day flaw that affects Apache OfBiz, an open-source Enterprise Resource Planning (ERP) system.
## Information:

+ Link: https://securityaffairs.com/156530/security/apache-ofbiz-auth-bypass.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 28 December 2023, 08:52
+ Date scraped: 28 December 2023, 10:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2021/03/Apache-OFBiz.png)


Experts warn of an authentication bypass zero-day flaw that affects Apache OfBiz, an open-source Enterprise Resource Planning (ERP) system.


An attacker can trigger the vulnerability, tracked as [**CVE-2023-51467**](https://nvd.nist.gov/vuln/detail/CVE-2023-51467), to bypass authentication to achieve a simple Server-Side Request Forgery (SSRF)



The issue resides in the login functionality and results from an incomplete patch for the Pre-auth RCE vulnerability [CVE-2023-49070](https://nvd.nist.gov/vuln/detail/CVE-2023-49070) (CVSS score: 9.8).


SonicWall researchers pointed out that the Apache OfBiz is part of the supply chain of prominent software, such as Atlassian’s JIRA (used by over [120K companies](https://6sense.com/tech/productivity/jira-software-market-share)). 


*“As a result, like with many supply chain libraries, the impact of this vulnerability could be severe if leveraged by threat actors.” reads the [**report**](https://blog.sonicwall.com/en-us/2023/12/sonicwall-discovers-critical-apache-ofbiz-zero-day-authbiz/) published by SonicWall. “Our research demonstrates that this flaw could lead to the exposure of sensitive information or even the ability to execute arbitrary code as demonstrated in the short video below using version 18.12.10, where the system “ping” application is executed by an unauthenticated attacker.”*


The SonicWall researchers discovered that the magic string *requirePasswordChange=Y* is the root cause of the authentication bypass regardless of the username and password field or other parameters in an HTTP request.


For this reason, removing the XML RPC code did not completely patch the flaw.


The vulnerability has been addressed by the Apache OFbiz with the release of [version 18.12.11](https://ofbiz.apache.org/security.html) or later (commit [d8b097f](https://github.com/apache/ofbiz-framework/commit/d8b097f6717a4004acf023dfe929e0e41ad63faa) and [ee02a33](https://github.com/apache/ofbiz-framework/commit/ee02a33509589856ab1ad08399e8dcee6b0edf58)).  


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Apache OFbiz)**




---




---





## Tags:
***CVE's***: CVE-2023-51467 CVE-2023-49070

### Autogenerated tags:
ofbiz sonicwall
