# Gone in 130 seconds: New Tesla hack gives thieves their own personal key
## You may want to think twice before giving the parking attendant your Tesla-issued NFC card.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/06/hackers-out-to-steal-a-tesla-can-create-their-very-own-personal-key/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 08 June 2022, 20:21
+ Date scraped: 15 June 2022, 14:54

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/06/tesla-model-y-760x380.jpeg)







Last year, Tesla issued an update that made its vehicles easier to start after being unlocked with their NFC key cards. Now, a researcher has shown how the feature can be exploited to steal cars.


For years, drivers who used their Tesla NFC key card to unlock their cars had to place the card on the center console to begin driving. Following the update, which was [reported here](https://driveteslacanada.ca/software-updates/tesla-updates-key-card-access-to-no-longer-require-placement-on-center-console-to-drive/) last August, drivers could operate their cars immediately after unlocking them with the card. The NFC card is one of three means for unlocking a Tesla; a key fob and a phone app are the other two.


[![An image from Herfurt's recent presentation at the REcon conference in Montreal.](https://cdn.arstechnica.net/wp-content/uploads/2022/06/unlocking-a-tesla-640x316.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/unlocking-a-tesla.jpg) / An image from Herfurt's recent presentation at the REcon conference in Montreal.https://trifinite.org/Downloads/20220604\_tempa\_presentation\_recon22\_public.pdf


## Enrolling your own key


Martin Herfurt, a security researcher in Austria, quickly noticed something odd about the new feature: Not only did it allow the car to automatically start within 130 seconds of being unlocked with the NFC card, but it also put the car in a state to accept entirely new keys—with no authentication required and zero indication given by the in-car display.


"The authorization given in the 130-second interval is too general... [it's] not only for drive," Herfurt said in an online interview. "This timer has been introduced by Tesla… in order to make the use of the NFC card as a primary means of using the car more convenient. What should happen is that the car can be started and driven without the user having to use the key card a second time. The problem: within the 130-second period, not only the driving of the car is authorized, but also the [enrolling] of a new key."


The official Tesla phone app doesn't permit keys to be enrolled unless it's connected to the owner's account, but despite this, Herfurt found that the vehicle gladly exchanges messages with any Bluetooth Low Energy, or BLE, device that's nearby. So the researcher built his own app, named [Teslakee](https://www.teslakee.com/), that speaks [VCSec](https://teslamotorsclub.com/tmc/threads/tesla-bluetooth-low-energy-ble-api-documentation.245114/), the same language that the official Tesla app uses to communicate with Tesla cars.


A malicious version of Teslakee that Herfurt designed for proof-of-concept purposes shows how easy it is for thieves to surreptitiously enroll their own key during the 130-second interval. (The researcher plans to release a benign version of Teslakee eventually that will make such attacks harder to carry out.) The attacker then uses the Teslakee app to exchange VCSec messages that enroll the new key.


All that's required is to be within range of the car during the crucial 130-second window of it being unlocked with an NFC card. If a vehicle owner normally uses the phone app to unlock the car—by far the most [common unlocking method](https://twitter.com/TeslaRadar/status/1405775502816681987) for Teslas—the attacker can force the use of the NFC card by using a signal jammer to block the BLE frequency used by Tesla's phone-as-a-key app.


This video demonstrates the attack in action:


Gone in under 130 Seconds.


As the driver enters the car after unlocking it with an NFC card, the thief begins exchanging messages between the weaponized Teslakee and the car. Before the driver has even driven away, the messages enroll a key of the thief's choice with the car. From then on, the thief can use the key to unlock, start, and turn off the car. There is no indication from the in-car display or the legitimate Tesla app that anything is amiss.


Herfurt has successfully used the attack on Tesla Models 3 and Y. He hasn't tested the method on new 2021+ facelift models of the S and X, but he presumes they are also vulnerable because they use the same native support for phone-as-a-key with BLE.


Tesla didn't respond to an email seeking comment for this post.







## Parlez-vous VCSec?


The vulnerability is the result of the dual roles played by the NFC card. It not only opens a locked car and starts it; it's also used to authorize key management.


Herfurt said:



> [The attack] exploits Tesla's way of handling the unlock process via NFC card. This works because Tesla's authorization method is broken. There is no connection between the online account world and the offline BLE world. Any attacker who can see the Bluetooth LE advertisements of a vehicle may send VCSEC messages to it. This would not work with the official app, [but] an app that is also able to speak the Tesla-specific BLE protocol… allows attackers to enroll keys for arbitrary vehicles. Teslakee will communicate with any vehicle if it is told to.
> 
> 


Herfurt created TeslaKee as part of [Project Tempa](https://trifinite.org/stuff/project_tempa/), which "provides tools and information about the VCSEC protocol used by Tesla accessories and the Tesla app in order to control vehicles via Bluetooth LE." Herfurt is a member of [Trifinite Group](https://trifinite.org/), a research and hacker collective that focuses on BLE.


[![Another slide from the REcon talk shows an overview of VCSec.](https://cdn.arstechnica.net/wp-content/uploads/2022/06/vcsec-overview-640x319.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/vcsec-overview.jpg) / Another slide from the REcon talk shows an overview of VCSec.https://trifinite.org/Downloads/20220604\_tempa\_presentation\_recon22\_public.pdf


The attack is easy enough in technical aspects to carry out, but the mechanics of staking out an unattended vehicle, waiting for or forcing the owner to unlock it with an NFC card, and later catching up with the car and stealing it can be cumbersome. This method isn't likely to be practical in many theft scenarios, but for some, it seems viable.


With Tesla maintaining radio silence on this weakness, there's only so much that concerned owners can do. One countermeasure is to set up Pin2Drive to prevent thieves who use this method from starting a vehicle, but it will do nothing to prevent the thief from being able to enter the car when it's locked. Another protection is to regularly check the list of keys authorized to unlock and start the car through a process Tesla calls "whitelisting." Tesla owners may want to perform this check after giving an NFC card to an untrusted mechanic or valet parking attendant.


Based on the lack of response Herfurt said he received from Tesla regarding vulnerabilities he uncovered in [2019](https://www.youtube.com/watch?v=Kr9FFXUiyac) and again [last year](https://trifinite.org/Downloads/20220518_tempa_presentation_csw22_public.pdf), he's not holding his breath that the company will address the issue.


"My impression was that they always already knew and would not really change stuff," he said. "This time, there is no way that Tesla does not know about that poor implementation. So for me, there was no point in talking to Tesla beforehand."




## Promoted Comments


* [Tempus --)-------](/civis/memberlist.php?mode=viewprofile&u=61752)
Ars Tribunus Militum

[et Subscriptor](/store/product/subscriptions/)



[TylerH](https://arstechnica.com/information-technology/2022/06/hackers-out-to-steal-a-tesla-can-create-their-very-own-personal-key/?comments=1&post=40982439) wrote:I have no idea if this is representative of NFC technology as a whole, but it's stories like this that make me run, not walk, away from the notion of "NFC keys" in place of physical keys or "NFC authentication" in place of other authentication. I still don't even like using it for credit cards (e.g. tap to pay) and I felt after reading various articles on that implementation that it seemed reasonably secure.  
  
Nope. It’s not related to NFC. THIS IS A SOFTWARE ISSUE that’s triggered when you unlock via NFC, and is not BECAUSE you are using nfc.. it could just as easily have been enabled by the phone or fob, if the code had been a tiny bit different.  
  
There ARE security concerns with NFC (or any tech really), but this isn’t one of the, this is just coders not working with security first as a principal
 
 


2428 posts | registered 7/25/2003
* [Nilt](/civis/memberlist.php?mode=viewprofile&u=185446)
Ars Legatus Legionis

[et Subscriptor](/store/product/subscriptions/)



[TylerH](https://arstechnica.com/information-technology/2022/06/hackers-out-to-steal-a-tesla-can-create-their-very-own-personal-key/?comments=1&post=40982439) wrote:I have no idea if this is representative of NFC technology as a whole, but it's stories like this that make me run, not walk, away from the notion of "NFC keys" in place of physical keys or "NFC authentication" in place of other authentication. I still don't even like using it for credit cards (e.g. tap to pay) and I felt after reading various articles on that implementation that it seemed reasonably secure.  
Yeah, for all that a lot of folks think NFC is limited to tap range, it's definitely not. There are loads of NFC range extension antennas available. I've seen one bench-made system by a security researcher buddy that can reliably read an NFC chip from 20 meters. Last I saw he was working on getting it pack-portable instead of needing to be in his van or carry three bags connected by a cable or three. That was several months ago.  
  
NFC needs a lot more attention. Bad actors are actively using this stuff, though currently it's mostly overseas and not in the US as far as we know. I'd be completely unsurprised if there are US groups doing things we wouldn't want done with it that just haven't been nailed yet, though.
 
 


17917 posts | registered 6/14/2006












## Tags:
***urls***: https://trifinite.org/Downloads/20220604_tempa_presentation_recon22_public.pdf

### Autogenerated tags:
nfc herfurt teslakee ble 130-second vcsec bluetooth
