# Google: Ukraine targeted by 60% of Russian phishing attacks in 2023
## Google's Threat Analysis Group (TAG) has been monitoring and disrupting Russian state-backed cyberattacks targeting Ukraine's critical infrastructure in 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-ukraine-targeted-by-60-percent-of-russian-phishing-attacks-in-2023/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 20 April 2023, 18:47
+ Date scraped: 20 April 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/18/Russian__hacker.jpg)



Google’s Threat Analysis Group (TAG) has been monitoring and disrupting Russian state-backed cyberattacks targeting Ukraine’s critical infrastructure in 2023.


Google reports that from January to March 2023, Ukraine received roughly 60% of the phishing attacks originating from Russia, making it the most prominent target.


In most cases, the campaign goals include intelligence collection, operational disruptions, and leaking sensitive data through Telegram channels dedicated to causing information damage to Ukraine.


## Threat groups active in Ukraine


Google’s TAG lists three Russian and Belarusian threat actors who had notable activity in the first quarter of the year against Ukrainian targets.


The first is Sandworm, tracked by Google as “FrozenBarents,” which has focused its attacks on the energy sector across Europe since November 2022, with a highlighted case involving the Caspian Pipeline Consortium (CPC).



![CPC phishing page](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/20/cpc.jpg)**CPC phishing page** *(Google)*


Sandworm has lately launched multiple phishing campaigns using spoofed “Ukroboronprom” websites against workers in the Ukrainian defense industry, users of the Ukr.net platform, or even Ukrainian Telegram channels.



![Website spoofing a Ukrainian defense firm](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/20/defense.jpg)**Website spoofing a Ukrainian defense firm** *(Google)*


The threat group also creates multiple online personas to disseminate false information on YouTube and Telegram, often leaking parts of the data they steal through phishing or network intrusions.



![Telegram phishing page](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/20/telegram.jpg)**Telegram phishing page** *(Google)*


Another highly-active Russian threat actor is APT28, tracked by Google as “FrozenLake.”


Between February and March 2023, APT28 sent out multiple large waves of phishing emails targeting Ukrainians. The hackers also used reflected cross-site scripting (XSS) on Ukrainian government websites to redirect visitors to phishing pages.



![Phishing page where victims land after an XSS redirection](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/20/xss-phishing.jpg)**Phishing page where victims land after an XSS redirection** *(Google)*


This week, a joint announcement by the UK NCSC, FBI, NSA, and CISA warned that APT28 is [hacking Cisco Routers to install custom malware](https://www.bleepingcomputer.com/news/security/us-uk-warn-of-govt-hackers-using-custom-malware-on-cisco-routers/).


The third threat actor highlighted in Google’s report is “Pushcha,” which is believed to be based in Belarus, a country that is politically aligned with the Kremlin.


Pushcha has recently launched campaigns that target Ukrainian webmail providers like “i.ua” and “meta.ua,” attempting to steal the users’ credentials by setting up phony sites.



![Fake email login site created by Pushcha](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/20/bel-phish.jpg)**Fake email login site created by Pushcha** *(Google)*


## State-funded misinformation


Google’s report also highlights cases of misinformation on its platforms, like YouTube and Blogger.


“In the first quarter of 2023, TAG observed a coordinated IO campaign from actors affiliated with the Internet Research Agency (IRA) creating content on Google products such as YouTube, including commenting and upvoting each other’s videos,” reads the [Google TAG report](https://blog.google/threat-analysis-group/ukraine-remains-russias-biggest-cyber-focus-in-2023/).


The IRA (Glavset) is a Russian company linked to Wagner Group’s owner, Y. Prigozhin, engaging in online propaganda and influence operations on behalf of Russian political interests.


Google reports that it has been observing and blocking IRA-linked accounts creating content on YouTube Shorts to promote specific “news-like” narratives about the war in Ukraine to Russian domestic audiences.


All websites linked to the mentioned campaigns have been added to Google’s “Safe Browsing” blocklist, while targeted Gmail and Workspace users received alerts notifying them about malicious communications.





## Tags:


### Autogenerated tags:
google phishing youtube websites apt28
