# Critical Apache OFBiz Zero-day Flaw Exploited in the Wild
## Researchers uncovered Bypass Zero-day flaw tracked as CVE-2023-51467, with a CVSS score of 9.8 affecting Apache OFBiz open-source.
## Information:

+ Link: https://cybersecuritynews.com/?p=53925
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 10 January 2024, 06:51
+ Date scraped: 10 January 2024, 07:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjfxmc9PRysCYfsXPu2QtDS092L1YLYJ11miqhL7mbRAnVi2SoEyErwfwCmhlggZQOmrzUIvVrB35YqR9ryf2cWs_y9zm6sr3YLcnAhGknJxOKNGvMQVffk-vWOK-Gz5jsdWdva5gOyh9plJ2IV0eRSgpfD7n4if5hcVV539BnlrVk2-iMmOVKILJ-5W-iH/s1600/Critical%20Apache%20OFBiz%20Zero-day-1.webp)


Researchers uncovered a critical authentication bypass zero-day flaw tracked as [CVE-2023-51467](https://nvd.nist.gov/vuln/detail/CVE-2023-51467), with a CVSS score of 9.8 affecting Apache OFBiz’s open-source enterprise resource planning (ERP) system.


The vulnerability allows attackers to bypass simple Server-Side Request Forgery (SSRF) authentication.


The pre-authenticated RCE vulnerability tracked as CVE-2023-49070 leads to the zero-day [SSRF vulnerability](https://cybersecuritynews.com/injection-attacks/) CVE-2023-51467 in Apache OFBiz due to an incomplete patch.


“The security measures taken to patch CVE-2023-49070 left the root issue intact, and therefore, the authentication bypass was still present”, the SonicWall threat research team shared with Cyber Security News.


The vulnerability CVE-2023-49070 stems from an outdated, no-longer-maintained XML-RPC component within Apache OFBiz.


Document

Free Webinar
[Fastrack Compliance: The Path to ZERO-Vulnerability](#)
--------------------------------------------------------


Compounding the problem are zero-day vulnerabilities like the MOVEit SQLi, Zimbra XSS, and 300+ such vulnerabilities that get discovered each month. Delays in fixing these vulnerabilities lead to compliance issues, these delay can be minimized with a unique feature on AppTrana that helps you to get “Zero vulnerability report” within 72 hours.


  [Register for Free](https://www.indusface.com/zero-vulnerability-report-within-72-hours.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-jan-webinar-zero-vulnerability-report) 


**Details of the Zero-Day Flaw That Affects Apache OfBiz**
----------------------------------------------------------


An open-source enterprise resource planning (ERP) system is called Apache OfBiz. Although it might not sound familiar, it is widely installed in well-known applications, including Atlassian’s JIRA, which more than 120K enterprises use.


Because of this, just like with many supply chain libraries, if threat actors take advantage of this vulnerability, the consequences might be severe.


 “This flaw could lead to the exposure of sensitive information or even the ability to execute arbitrary code,” [researchers said](https://blog.sonicwall.com/en-us/2023/12/sonicwall-discovers-critical-apache-ofbiz-zero-day-authbiz/).


The login functionality contains the vulnerability tracked as CVE-2023-51467. Regardless of the username, password, or other arguments in an HTTP request, researchers found that the magic string requirePasswordChange=Y is the primary source of the [authentication](https://cybersecuritynews.com/authentication-and-authorization/) bypass.


Because of this, the vulnerability was not entirely fixed by removing the XML RPC code.


**Affected Version**
--------------------


This vulnerability impacts Apache OFBiz before 18.12.11.


**Patch Now**
-------------


Anyone running Apache OFbiz is urged to update to version 18.12.11 or higher immediately.  To identify any active exploitation of this vulnerability, SonicWall has created an IPS signature, IPS: 15949, in addition to the fix.





## Tags:
***CVE's***: CVE-2023-51467 CVE-2023-49070

### Autogenerated tags:
ofbiz zero-day cve-2023-51467 cve-2023-49070
