# 'WallEscape' Linux Vulnerability Leaks User Passwords
## Vulnerability (CVE-2024-28085) in core Linux system utilities package util-linux allows attackers to leak user passwords using fake prompts.
## Information:

+ Link: https://www.securityweek.com/wallescape-linux-vulnerability-leaks-user-passwords/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 01 April 2024, 16:06
+ Date scraped: 01 April 2024, 17:04

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Security researchers are documenting a new vulnerability found in the util-linux core utilities package in Linux systems, warnign that it allows attackers to leak user passwords and modify the clipboard.**


The security defect, tracked as **CVE-2024-28085** and dubbed ‘WallEscape’, impacts the ‘wall’ command of util-linux that fails to filter escape sequences from command line arguments.


An attacker could embed escape sequences into crafted messages and send them via the ‘wall’ command, allowing them to leak passwords and modify commands, if specific conditions are met. “This allows unprivileged users to put arbitrary text on other users’ terminals, if mesg is set to y and wall is setgid,” said security researcher Skyler Ferrante.

Ferrante, who is credited with discovering the flaw, said the bug can be exploited to leak user passwords on Ubuntu 22.04 with default configurations, where ‘wall’ is installed with the special setgid permissions and mesg is set to y. Debian Bookworm is also affected, but CentOS and Red Hat products are not.

“On Ubuntu 22.04, we have enough control to leak a user’s password by default. The only indication of attack to the user will be an incorrect password prompt when they correctly type their password, along with their password being in their command history,” the researcher explained in [a public advisory](https://www.openwall.com/lists/oss-security/2024/03/27/5).


According to Ferrante, the flaw can also leak an unknown command on Ubuntu 22.0 “if a system runs a command when commands are not found, with the unknown command as an argument.” In addition, it can be exploited to change the output of any command.

“On other systems that allow wall messages to be sent, an attacker may be able to alter the clipboard of a victim. This works on windows-terminal, but not on gnome-terminal,” the researcher said.

Ferrante, who also provided proof-of-concept (PoC) code, [says](https://github.com/skyler-ferrante/CVE-2024-28085) that the vulnerability can be used to attack sudo or “anywhere the user inputs their password”. An attacker could send an incorrect password message after a userlogs in using OpenSSH, for example.


According to a NIST [NVD advisory](https://nvd.nist.gov/vuln/detail/CVE-2024-28085), “there may be plausible scenarios where this leads to account takeover.” The vulnerability was introduced in 2013 and impacts all util-linux releases prior to [version 2.40](https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.40/v2.40-ReleaseNotes), which includes patches for this bug.


**Related:** [Supply Chain Attack: Major Linux Distributions Impacted by XZ Utils Backdoor](https://www.securityweek.com/supply-chain-attack-major-linux-distributions-impacted-by-xz-utils-backdoor/)


**Related:** [Android, Linux, Apple Devices Exposed to Bluetooth Keystroke Injection](https://www.securityweek.com/android-linux-apple-devices-exposed-to-bluetooth-keystroke-injection-attacks/)


**Related:** [Severe Glibc Vulnerability Impacts Major Linux Distributions](https://www.securityweek.com/severe-glibc-privilege-escalation-vulnerability-impacts-major-linux-distributions/)





## Tags:
***CVE's***: CVE-2024-28085

### Autogenerated tags:
linux util-linux ‘wall ubuntu
