# Over $1 Million Offered at New Pwn2Own Automotive Hacking Contest
## ZDI is offering more than $1 million at the Pwn2Own Automotive hacking contest, hosted in January at the Automotive World conference in Tokyo.
## Information:

+ Link: https://www.securityweek.com/over-1-million-offered-at-new-pwn2own-automotive-hacking-contest/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 01 September 2023, 08:17
+ Date scraped: 01 September 2023, 09:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/03/Tesla-Hacked-Exploits.jpg)


**The Zero Day Initiative (ZDI) this week announced that it will be offering more than $1 million in cash and prizes at Pwn2Own Automotive, the first Pwn2Own hacking contest focused on car systems.**


The competition will be hosted at the Automotive World conference, which is scheduled for January 24 – 26, 2024, in Tokyo, Japan.

Interested security researchers have until January 18 to register for the contest and submit an entry, consisting of “a detailed whitepaper completely explaining your exploit chain and instructions on how to run the entry”, [ZDI has announced](https://www.zerodayinitiative.com/blog/2023/8/28/revealing-the-targets-and-rules-for-the-first-pwn2own-automotive).


The same as with other similar events, ZDI is allowing remote participation to Pwn2Own Automotive, on the basis that not all researchers will be able to attend the conference.

“If you plan on participating remotely, you will need to contact us even earlier to ensure we put you in the best position for success. We recommend two weeks prior to the deadline at the very latest,” ZDI says.

The first Pwn2Own Automotive will have four categories, namely Tesla, in-vehicle infotainment (IVI), electric vehicle chargers, and operating systems.

Contestants participating in the first category can register “an entry against either a Tesla Model 3/Y (Ryzen-based) or Tesla Model S/X (Ryzen-based) equivalent bench top unit”, ZDI says.


The highest prize in this category is $200,000, for exploits targeting the vehicle’s autopilot, gateway, or VCSEC, followed by a $100,000 reward for ethernet exploits targeting the autopilot and gateway. A Tesla car is available as an additional prize in both cases.

Researchers may also earn optional add-on rewards for exploits targeting the CAN bus, or which can achieve root persistence on the autopilot or on the vehicle’s infotainment system.

In the second category, contestants may earn $40,000 prizes for exploits targeting three IVI devices from Sony, Alpine, and Pioneer.

There will be six different devices (from ChargePoint, Phoenix Contact, Emporia, JuiceBox, Autel, and Ubiquiti) available as targets in the electric vehicle chargers category, with prizes of up to $60,000 for valid exploits.

In both categories, the exploits should target the device’s exposed services, or the communication protocols and physical interfaces that a typical user can access.

In the operating systems category, researchers can earn prizes of $50,000 for exploits targeting Automotive Grande Linux, BlackBerry QNX, and Android Automotive OS.

“An attempt in this category must be launched against the target’s exposed services/features or launched against the target’s communication protocols that are accessible to a typical user,” ZDI explains.

Security researchers interested in participating in the Pwn2Own Automotive 2024 contest are encouraged to read the [full set of rules](https://www.zerodayinitiative.com/Pwn2OwnAuto2024Rules.html) and [ZDI’s blog post](https://www.zerodayinitiative.com/blog/2022/5/3/what-to-expect-when-exploiting-a-guide-to-pwn2own-participation) on what participating in Pwn2Own involves.


**Related:** [Mikrotik Belatedly Patches RouterOS Flaw Exploited at Pwn2Own](https://www.securityweek.com/mikrotik-belatedly-patches-routeros-flaw-exploited-at-pwn2own/)


**Related:** [VMware Patches Critical Vulnerability Disclosed at Pwn2Own Hacking Contest](https://www.securityweek.com/vmware-patches-critical-vulnerability-disclosed-at-pwn2own-hacking-contest/)


**Related:** [Hackers Earn Over $1 Million at Pwn2Own Exploit Contest](https://www.securityweek.com/hackers-earn-over-1-million-at-pwn2own-exploit-contest/)





## Tags:


### Autogenerated tags:
pwn2own zdi
