# Critical Zero-Day in Apache OfBiz ERP System Exposes Businesses to Attack
## A zero-day security flaw discovered in Apache OfBiz ERP system could allow unauthorized access.
## Information:

+ Link: https://thehackernews.com/2023/12/critical-zero-day-in-apache-ofbiz-erp.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 27 December 2023, 21:09
+ Date scraped: 27 December 2023, 16:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiIo0DeSW9LWIc_q-rlDCGkTmUs9LgVLYFo51VynaOdVNEoQtMTPPHljHEzKWypT-ftprGoHsGJfZHwA2OeJEezC63b_yMODoan_03s-xTKxvdICWYrQ53xIJ17Jzlq6iwSjblqkY7sRP03DTkFn_xe2AkWMR0Z61zhdN76b5vZDK61U1aW3OzgjWrBRHex/s728-rw-ft-e30/apache.jpg)


A new zero-day security flaw has been discovered in the Apache OfBiz, an open-source Enterprise Resource Planning (ERP) system that could be exploited to bypass authentication protections.


The vulnerability, tracked as [**CVE-2023-51467**](https://nvd.nist.gov/vuln/detail/CVE-2023-51467), resides in the login functionality and is the result of an incomplete patch for another critical vulnerability ([CVE-2023-49070](https://nvd.nist.gov/vuln/detail/CVE-2023-49070), CVSS score: 9.8) that was released earlier this month.


"The [security measures](https://github.com/apache/ofbiz-framework/commit/c59336f604) taken to patch CVE-2023-49070 left the root issue intact and therefore the authentication bypass was still present," the SonicWall Capture Labs threat research team, which discovered the bug, [said](https://blog.sonicwall.com/en-us/2023/12/sonicwall-discovers-critical-apache-ofbiz-zero-day-authbiz/) in a statement shared with The Hacker News.


[![Apache OfBiz ERP](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh73d-Qb7c4JJYX9IsDEOFsxEV7kyoTQHKfX89Re9uhc6PvNnOZnUOah6ZjMIvzg8mX-TiRPjaK_fPvxlJ_bzrEf5KMZGZJ4gQCrjhNiezXtt_JaW-ZH1kNahMX-0141ZH2NMqy8uOofGSupsexqHtl-lBYKSQT0TZMxto2RAp6ArrgFwBKxrYRL0jaDsI4/s728-rw-ft-e30/hacking.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh73d-Qb7c4JJYX9IsDEOFsxEV7kyoTQHKfX89Re9uhc6PvNnOZnUOah6ZjMIvzg8mX-TiRPjaK_fPvxlJ_bzrEf5KMZGZJ4gQCrjhNiezXtt_JaW-ZH1kNahMX-0141ZH2NMqy8uOofGSupsexqHtl-lBYKSQT0TZMxto2RAp6ArrgFwBKxrYRL0jaDsI4/s728-rw-ft-e30/hacking.jpg)
CVE-2023-49070 refers to a pre-authenticated remote code execution flaw impacting versions prior to 18.12.10 that, when successfully exploited, could allow threat actors to gain full control over the server and siphon sensitive data. It is caused due to a deprecated XML-RPC component within Apache OFBiz.


According to SonicWall, CVE-2023-51467 could be triggered using empty and invalid USERNAME and PASSWORD parameters in an HTTP request to return an authentication success message, effectively circumventing the protection and enabling a threat actor to access otherwise unauthorized internal resources.


The attack hinges on the fact that the parameter "requirePasswordChange" is set to "Y" (i.e., yes) in the URL, causing the authentication to be trivially bypassed regardless of the values passed in the username and password fields.


"The vulnerability allows attackers to bypass authentication to achieve a simple Server-Side Request Forgery ([SSRF](https://owasp.org/www-community/attacks/Server_Side_Request_Forgery))," according to a description of the flaw on the NIST National Vulnerability Database (NVD).


Users who rely on Apache OFbiz to update to [version 18.12.11](https://ofbiz.apache.org/security.html) or later as soon as possible to mitigate any potential threats.



  





## Tags:
***CVE's***: CVE-2023-51467 CVE-2023-49070

### Autogenerated tags:
ofbiz cve-2023-49070
